|docs
Start Trial

List rules

Returns a list of rules.

Authorization

BearerToken
AuthorizationBearer <token>

PagerDuty OAuth user Access Token

The developer should obtain a valid user-based bearer token by performing Classic User OAuth by following our public documentation: https://developer.pagerduty.com/docs/b2a19cce2867a-classic-user-o-auth

In: header

Query Parameters

total?boolean

Returns the total number of records matched by the query if enabled.

Defaultfalse
limit?integer

Set the maximum number of results matched by the query.

Range1 <= value <= 100
Default25
offset?integer

The number of items to skip before starting to collect the result set.

Range0 <= value
Default0

Header Parameters

x-pagerduty-jira-signature*string

Connected Jira instance signature token

This header contains a signature token that validates the connection between PagerDuty and a specific Jira instance. It must be included in all API requests.

Obtaining the signature token

  1. Send an authenticated GET request to your Jira instance: GET /plugins/servlet/pagerduty/sign

  2. The endpoint returns a JSON response containing the signature: { "signature": "eyJ0eXAiOiJK..." }

  3. Use the returned signature value in the x-pagerduty-jira-signature header for all subsequent API calls.

Note: Signature token is valid for 15 minutes after generation.

Response Body

application/json

application/json